<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <packaging>pom</packaging>
    <modules>
        <module>member-common</module>
        <module>member-services</module>
        <module>member-web</module>
        <module>member-weixin-service</module>
        <module>member-services-models</module>
        <module>member-web-common</module>
    </modules>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.2.0.RELEASE</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>com.liangjian</groupId>
    <artifactId>dataplatform</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <name>dataplatform</name>
    <description>亮键数据平台接口应用</description>

    <properties>
        <java.version>1.8</java.version>
        <maven.compiler.source>11</maven.compiler.source>
        <maven.compiler.target>11</maven.compiler.target>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.liangjian</groupId>
                <artifactId>member-common</artifactId>
                <version>0.0.1-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.liangjian</groupId>
                <artifactId>member-services</artifactId>
                <version>0.0.1-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.liangjian</groupId>
                <artifactId>member-web</artifactId>
                <version>0.0.1-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.liangjian</groupId>
                <artifactId>member-weixin-service</artifactId>
                <version>0.0.1-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.liangjian</groupId>
                <artifactId>member-services-models</artifactId>
                <version>0.0.1-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.liangjian</groupId>
                <artifactId>member-web-common</artifactId>
                <version>0.0.1-SNAPSHOT</version>
            </dependency>


            <!--<dependency>-->
                <!--<groupId>org.elasticsearch.client</groupId>-->
                <!--<artifactId>elasticsearch-rest-high-level-client</artifactId>-->
                <!--<version>7.0.1</version>-->
            <!--</dependency>-->
            <!--<dependency>-->
                <!--<groupId>org.elasticsearch</groupId>-->
                <!--<artifactId>elasticsearch</artifactId>-->
                <!--<version>7.0.1</version>-->
            <!--</dependency>-->
            <!--<dependency>-->
                <!--<groupId>org.elasticsearch.client</groupId>-->
                <!--<artifactId>elasticsearch-rest-client</artifactId>-->
                <!--<version>7.0.1</version>-->
            <!--</dependency>-->
            <!--<dependency>-->
                <!--<groupId>org.elasticsearch.client</groupId>-->
                <!--<artifactId>transport</artifactId>-->
                <!--<version>7.0.1</version>-->
            <!--</dependency>-->
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <!--<dependency>-->
            <!--<groupId>org.elasticsearch.client</groupId>-->
            <!--<artifactId>elasticsearch-rest-high-level-client</artifactId>-->
            <!--<version>7.0.1</version>-->
        <!--</dependency>-->

        <!--<dependency>-->
            <!--<groupId>org.elasticsearch.client</groupId>-->
            <!--<artifactId>transport</artifactId>-->
            <!--<version>7.0.1</version>-->
        <!--</dependency>-->

        <!-- jpa -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
            <version>2.1.7.RELEASE</version>
        </dependency>

        <!-- 试验性，jpa与mybatis-plus共用 mybatis-plus -->
        <!--<dependency>-->
        <!--<groupId>com.baomidou</groupId>-->
        <!--<artifactId>mybatis-plus-boot-starter</artifactId>-->
        <!--<version>3.3.0</version>-->
        <!--</dependency>-->

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
            <version>2.1.7.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
            <version>2.1.7.RELEASE</version>
        </dependency>
        <!-- hibernate -->
        <!-- spring-data-es -->

        <dependency>
            <groupId>org.springframework.data</groupId>
            <artifactId>spring-data-elasticsearch</artifactId>

            <!--<version>3.2.0.RELEASE</version>-->
        </dependency>

        <dependency>
            <groupId>javassist</groupId>
            <artifactId>javassist</artifactId>
            <version>3.12.1.GA</version>
            <scope>provided</scope>
        </dependency>

        <!-- mysql -->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <scope>runtime</scope>
        </dependency>
        <!-- sqlserver -->
        <!--<dependency>-->
        <!--<groupId>com.microsoft.sqlserver</groupId>-->
        <!--<artifactId>sqljdbc4</artifactId>-->
        <!--<version>4.0</version>-->
        <!--</dependency>-->
        <dependency>
            <groupId>com.microsoft.sqlserver</groupId>
            <artifactId>mssql-jdbc</artifactId>
            <version>7.4.1.jre11</version>
        </dependency>
        <!-- postgresql -->
        <dependency>
            <groupId>org.postgresql</groupId>
            <artifactId>postgresql</artifactId>
            <version>42.2.6</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <!-- 阿里巴巴的连接池 -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
            <version>1.1.17</version>
        </dependency>
        <!-- swagger api管理 -->
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger2</artifactId>
            <version>2.6.1</version>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
            <version>2.6.1</version>
        </dependency>
        <!-- Gson -->
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.8.5</version>
        </dependency>

        <dependency>
            <groupId>org.apache.hadoop</groupId>
            <artifactId>hadoop-common</artifactId>
            <version>3.2.1</version>
        </dependency>
        <dependency>
            <groupId>org.apache.hadoop</groupId>
            <artifactId>hadoop-yarn-common</artifactId>
            <version>3.2.1</version>
        </dependency>
        <dependency>
            <groupId>org.apache.hbase</groupId>
            <artifactId>hbase-common</artifactId>
            <version>2.2.2</version>
        </dependency>
        <dependency>
            <groupId>org.apache.hbase</groupId>
            <artifactId>hbase-client</artifactId>
            <version>2.2.2</version>
        </dependency>
        <dependency>
            <groupId>org.apache.hbase</groupId>
            <artifactId>hbase-prefix-tree</artifactId>
            <version>1.5.0</version>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.hbase</groupId>
            <artifactId>hbase-server</artifactId>
            <version>2.2.2</version>
        </dependency>
        <dependency>
            <groupId>org.apache.hive</groupId>
            <artifactId>hive-service</artifactId>
            <version>1.1.0</version>
            <!--<exclusions>-->
            <!--<exclusion>-->
            <!--<groupId>org.eclipse.jetty.aggregate</groupId>-->
            <!--<artifactId>jetty-all</artifactId>-->
            <!--</exclusion>-->
            <!--<exclusion>-->
            <!--<groupId>org.apache.hive</groupId>-->
            <!--<artifactId>hive-shims</artifactId>-->
            <!--</exclusion>-->
            <!--</exclusions>-->
        </dependency>
        <dependency>
            <groupId>org.apache.hive</groupId>
            <artifactId>hive-common</artifactId>
            <version>1.1.0</version>
            <!--<exclusions>-->
            <!--<exclusion>-->
            <!--<groupId>org.eclipse.jetty.aggregate</groupId>-->
            <!--<artifactId>jetty-all</artifactId>-->
            <!--</exclusion>-->
            <!--<exclusion>-->
            <!--<groupId>org.apache.hive</groupId>-->
            <!--<artifactId>hive-shims</artifactId>-->
            <!--</exclusion>-->
            <!--</exclusions>-->
        </dependency>
        <dependency>
            <groupId>org.apache.hive</groupId>
            <artifactId>hive-jdbc</artifactId>
            <version>1.1.0</version>
            <!--<exclusions>-->
            <!--<exclusion>-->
            <!--<groupId>org.eclipse.jetty.aggregate</groupId>-->
            <!--<artifactId>jetty-all</artifactId>-->
            <!--</exclusion>-->
            <!--<exclusion>-->
            <!--<groupId>org.apache.hive</groupId>-->
            <!--<artifactId>hive-shims</artifactId>-->
            <!--</exclusion>-->
            <!--</exclusions>-->
        </dependency>
        <dependency>
            <groupId>net.sf.json-lib</groupId>
            <artifactId>json-lib</artifactId>
            <version>2.4</version>
            <classifier>jdk15</classifier>
        </dependency>
        <dependency>
            <groupId>org.apache.sqoop</groupId>
            <artifactId>sqoop</artifactId>
            <version>1.4.7</version>
            <classifier>hadoop260</classifier>
        </dependency>
        <!-- clickhouse -->
        <dependency>
            <groupId>ru.yandex.clickhouse</groupId>
            <artifactId>clickhouse-jdbc</artifactId>
            <version>0.1.40</version>
            <scope>runtime</scope>
        </dependency>

        <!--<dependency>-->
            <!--<groupId>com.cloudera</groupId>-->
            <!--<artifactId>ImpalaJDBC41</artifactId>-->
            <!--<version>2.5.42</version>-->
        <!--</dependency>-->

        <!-- SpringBoot 热部署 -->
        <!--<dependency>-->
            <!--<groupId>org.springframework.boot</groupId>-->
            <!--<artifactId>spring-boot-devtools</artifactId>-->
            <!--&lt;!&ndash; 不传递依赖 &ndash;&gt;-->
            <!--<optional>true</optional>-->
        <!--</dependency>-->

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
        </dependency>
    </dependencies>

    <repositories>
        <repository>
            <id>spring-libs-snapshot</id>
            <name>Spring Snapshot Repository</name>
            <url>https://repo.spring.io/libs-snapshot</url>
        </repository>
    </repositories>


    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.1</version>
                <configuration>
                    <release>11</release>
                </configuration>
                <dependencies>
                    <dependency>
                        <groupId>org.ow2.asm</groupId>
                        <artifactId>asm</artifactId>
                        <version>6.2</version> <!-- Use newer version of ASM -->
                    </dependency>
                </dependencies>
            </plugin>
        </plugins>
    </build>
</project>
